diff -Naur binutils-2.20.1.orig/bfd/ChangeLog.rtems binutils-2.20.1/bfd/ChangeLog.rtems
--- binutils-2.20.1.orig/bfd/ChangeLog.rtems	1970-01-01 01:00:00.000000000 +0100
+++ binutils-2.20.1/bfd/ChangeLog.rtems	2013-03-20 05:56:32.611789331 +0100
@@ -0,0 +1,6 @@
+2010-08-25  H.J. Lu  <hongjiu.lu@intel.com>
+ 
+	PR ld/11939
+	* elflink.c (elf_link_add_object_symbols): Don't set
+	unique_global for non-ELF hash link table.
+
diff -Naur binutils-2.20.1.orig/bfd/doc/bfd.texinfo binutils-2.20.1/bfd/doc/bfd.texinfo
--- binutils-2.20.1.orig/bfd/doc/bfd.texinfo	2009-09-02 09:18:38.000000000 +0200
+++ binutils-2.20.1/bfd/doc/bfd.texinfo	2013-03-20 05:56:32.613789387 +0100
@@ -1,7 +1,7 @@
 \input texinfo.tex
 @setfilename bfd.info
 @c Copyright 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1997, 2000,
-@c 2001, 2002, 2003, 2006, 2007, 2008, 2009
+@c 2001, 2002, 2003, 2006, 2007, 2008, 2009, 2013
 @c Free Software Foundation, Inc.
 @c 
 @synindex fn cp
@@ -17,7 +17,8 @@
 @copying
 This file documents the BFD library.
 
-Copyright @copyright{} 1991, 2000, 2001, 2003, 2006, 2007, 2008 Free Software Foundation, Inc.
+Copyright @copyright{} 1991, 2000, 2001, 2003, 2006, 2007, 2008, 2013
+Free Software Foundation, Inc.
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -65,7 +66,8 @@
 @end tex
 
 @vskip 0pt plus 1filll
-Copyright @copyright{} 1991, 2001, 2003, 2006, 2008 Free Software Foundation, Inc.
+Copyright @copyright{} 1991, 2001, 2003, 2006, 2008, 2013
+Free Software Foundation, Inc.
 
       Permission is granted to copy, distribute and/or modify this document
       under the terms of the GNU Free Documentation License, Version 1.3
@@ -323,7 +325,7 @@
 @printindex cp
 
 @tex
-% I think something like @colophon should be in texinfo.  In the
+% I think something like @@colophon should be in texinfo.  In the
 % meantime:
 \long\def\colophon{\hbox to0pt{}\vfill
 \centerline{The body of this manual is set in}
@@ -334,7 +336,7 @@
 \centerline{{\sl\fontname\tensl\/}}
 \centerline{are used for emphasis.}\vfill}
 \page\colophon
-% Blame: doc@cygnus.com, 28mar91.
+% Blame: doc@@cygnus.com, 28mar91.
 @end tex
 
 @bye
diff -Naur binutils-2.20.1.orig/bfd/doc/ChangeLog binutils-2.20.1/bfd/doc/ChangeLog
--- binutils-2.20.1.orig/bfd/doc/ChangeLog	2009-08-30 00:10:58.000000000 +0200
+++ binutils-2.20.1/bfd/doc/ChangeLog	2013-03-20 05:56:32.613789387 +0100
@@ -1,3 +1,7 @@
+2013-01-07  Patrice Dumas  <pertusus@free.fr>
+
+	* bfd.texinfo: Replace @ with @@ when it is part of the text.
+
 2009-08-29  Martin Thuresson  <martin@mtme.org>
 
 	* chew.c (newentry, add_intrinsic): Rename variable new to
diff -Naur binutils-2.20.1.orig/bfd/elflink.c binutils-2.20.1/bfd/elflink.c
--- binutils-2.20.1.orig/bfd/elflink.c	2009-09-10 13:47:12.000000000 +0200
+++ binutils-2.20.1/bfd/elflink.c	2013-03-20 05:56:32.616789431 +0100
@@ -4154,7 +4154,8 @@
 	h = (struct elf_link_hash_entry *) h->root.u.i.link;
 
       *sym_hash = h;
-      h->unique_global = (flags & BSF_GNU_UNIQUE) != 0;
+      if (is_elf_hash_table (htab))
+	h->unique_global = (flags & BSF_GNU_UNIQUE) != 0;
 
       new_weakdef = FALSE;
       if (dynamic
diff -Naur binutils-2.20.1.orig/bfd/Makefile.am binutils-2.20.1/bfd/Makefile.am
--- binutils-2.20.1.orig/bfd/Makefile.am	2010-03-03 14:31:55.000000000 +0100
+++ binutils-2.20.1/bfd/Makefile.am	2013-03-20 05:56:32.612789356 +0100
@@ -4,7 +4,7 @@
 ACLOCAL_AMFLAGS = -I . -I .. -I ../config
 
 # Uncomment the following line when doing a release.
-# RELEASE=y
+RELEASE=y
 
 INCDIR = $(srcdir)/../include
 CSEARCH = -I. -I$(srcdir) -I$(INCDIR)
diff -Naur binutils-2.20.1.orig/bfd/Makefile.in binutils-2.20.1/bfd/Makefile.in
--- binutils-2.20.1.orig/bfd/Makefile.in	2010-03-03 14:59:15.000000000 +0100
+++ binutils-2.20.1/bfd/Makefile.in	2013-03-20 05:56:32.612789356 +0100
@@ -317,7 +317,7 @@
 ACLOCAL_AMFLAGS = -I . -I .. -I ../config
 
 # Uncomment the following line when doing a release.
-# RELEASE=y
+RELEASE = y
 INCDIR = $(srcdir)/../include
 CSEARCH = -I. -I$(srcdir) -I$(INCDIR)
 SUBDIRS = doc po
